/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg.arraymerger;

import java.util.Arrays;
import java.util.stream.IntStream;

/**
 *
 * @author omozegieaziegbe
 */
public class MergeAndRemoveDuplicatesUsingStream {
    
    public static int[] mergeAndRemoveDuplicates(int[] arr1, int[] arr2) {
        return Arrays.stream(mergeArrays(arr1, arr2))
                     .distinct()
                     .toArray();
    }

    public static int[] mergeArrays(int[] arr1, int[] arr2) {
        return IntStream.concat(Arrays.stream(arr1), Arrays.stream(arr2))
                        .toArray();
    }

    public static void main(String[] args) {
        int[] array1 = {1, 2, 3};
        int[] array2 = {3, 4, 5};

        int[] result = mergeAndRemoveDuplicates(array1, array2);

        System.out.println("Merged Array with Duplicates Removed: " + Arrays.toString(result));
    }
    
}
